---
lang: en
title: 'API docs: openapi-v3.getwhereschemafor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.getwhereschemafor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [getWhereSchemaFor](./openapi-v3.getwhereschemafor.md)

## getWhereSchemaFor() function

Build a OpenAPI schema describing the format of the "where" object used to filter model instances to query, update or delete.

Note we don't take the model properties into account yet and return a generic json schema allowing any "where" condition.

**Signature:**

```typescript
export declare function getWhereSchemaFor(modelCtor: typeof Model): SchemaObject;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

modelCtor


</td><td>

typeof Model


</td><td>

The model constructor to build the filter schema for.


</td></tr>
</tbody></table>

**Returns:**

SchemaObject


